# -*- coding=utf8 -*-
import re
import urllib

class GorillaVid(object):
    
    EMBED_URL   = "http://gorillavid.in/embed-%s-600x480.html"
    PATTERN = re.compile(r".*file: \"(.*?)\"")
    
    @classmethod
    def get_url(cls, video_id_list):
        result = None
        try:
            for video_id in video_id_list:
                data = urllib.urlopen(cls.EMBED_URL % video_id).readlines()
                result_list = cls.PATTERN.findall("".join(data))
                if result_list:
                    result = result_list[0]
                    break
        except Exception:
            result = None
        return result
