# -*- coding=utf8 -*-
#******************************************************************************
# Movies.py
#------------------------------------------------------------------------------
#
# Copyright (c) 2013 LivingOn <LivingOn@xmail.net>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#******************************************************************************

_MovieList = {
    "S01E01 - A Touch of Class":          ['vmjcex2dkzvs','hesa5dhzx3lo','xp9w3o4itx0z','8s9rlniyscwi','tca26k5f3mv6'], 
    "S01E02 - The Builders":              ['wlldw6bssoy7','bykca29qad55','wxf44x0rjr6t','uu0hazkl5vcp','prjt1sfeq6yv'],
    "S01E03 - The Wedding Party":         ['nimnb242n33z','fk9z0pvp5ksj','hfaet7eewg2d','nimnb242n33z','5iwq99yv8u8s'],
    "S01E04 - The Hotel Inspectors":      ['0fhxl04g7q37','8zu8r3ep1rlk','vkhquqlydmb1','e9cwzpld2wvf','u8kqeo8jp68k'],
    "S01E05 - Gourmet Night":             ['38uilrrm25ow','or6yipoc9otc','ub5fxfhd016m','e1vjfdzc22zz','j0efe85g2y40'],
    "S01E06 - The Germans":               ['u5bzc0z2t7ah','pmgg8n4c0rfj','zi2zq4m3b58x','10gkg3ksyqvt','aamp4iakx9z3'],
    
    "S02E01 - Communication Problems":    ['6ht1z1kmgsr9','cpsa9umq6wtw','4udcwv6ops93','1zq4pyqt16c0','r7jt6lfwjlz5'],
    "S02E02 - The Psychiatrist":          ['1flleqw6iqn3','dacgvmvzpqqf','sln2aul71ukh','lgd2q46kvo6f','xpjhelpjj62w'],
    "S02E03 - Waldorf Salad":             ['yv7u9e336yp8','tu5a5fxybrz1','6gorxp0433wg','todl6vwe2i68','git5c0nwoqjc'],
    "S02E04 - The Kipper and the Corpse": ['d9k7z2pdb2zb','xy29q357ho56','6evvfmq6x4c4','p9lqthn8h204','2fjvvh1upld2'],
    "S02E05 - The Anniversary":           ['wyoeyxgucdoq','an16iyggqvtk','zuthjiuosrvx','mb484u01e5vi','fjdx5hkgjsw5'],
    "S02E06 - Basil the Rat":             ['n37muv0o6qgu','nlzg2tx8cijk','1i59snbl4kmm','wof65im2zy8c','5695wgcivtex']
}


class Movies(object):
    
    _titels = []
    
    def __init__(self):
        for key in _MovieList:
            self._titels.append(key)
        self._titels.sort()

    def get_titles(self):
        return self._titels
    
    def get_id_list(self, title):
        result = None
        if title in _MovieList:
            result = _MovieList[title]
        return result
